Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Notify_MT_Worker_Task Class Reference

`#include <Notify_MT_Worker_Task.h>`

Inheritance diagram for TAO_Notify_MT_Worker_Task

[legend]
Collaboration diagram for TAO_Notify_MT_Worker_Task:

[legend]
List of all members.

## Public Methods
| TAO_Notify_MT_Worker_Task (int n_threads = 1, long flags = THR_NEW_LWP | THR_JOINABLE, int force_active = 0, long priority = ACE_DEFAULT_THREAD_PRIORITY)
| ~TAO_Notify_MT_Worker_Task ()
virtual int | init_task (TAO_Notify_AdminProperties* const admin_properties)
virtual void | shutdown (CORBA::Environment& ACE_TRY_ENV)
virtual int | process_event (TAO_Notify_Command *mb, CORBA::Environment& ACE_TRY_ENV, ACE_Time_Value *tv = 0)
## Protected Methods
virtual int | svc (void)
virtual int | close (u_long)
## Protected Attributes
TAO_Notify_Buffering_Strategy* | buffering_strategy_
TAO_Notify_Property_Long* | queue_length_
int | n_threads_
long | flags_
int | force_active_
long | priority_

## Constructor & Destructor Documentation

const char *get_rcsid_Notify_ TAO_Notify_MT_Worker_Task::TAO_Notify_MT_Worker_Task ( | int n_threads = 1,
| long flags = THR_NEW_LWP | THR_JOINABLE,
| int force_active = 0,
| long priority = ACE_DEFAULT_THREAD_PRIORITY )`[inline]`

TAO_Notify_MT_Worker_Task::~TAO_Notify_MT_Worker_Task ( | )

## Member Function Documentation

int TAO_Notify_MT_Worker_Task::close ( | u_long flags )`[protected, virtual]`

| Reimplemented from ACE_Task_Base.

int TAO_Notify_MT_Worker_Task::init_task ( | TAO_Notify_AdminProperties * const )`[virtual]`

| Reimplemented from TAO_Notify_Worker_Task.

int TAO_Notify_MT_Worker_Task::process_event ( | TAO_Notify_Command * mb,
| CORBA::Environment & ACE_TRY_ENV,
| ACE_Time_Value * tv = 0 )`[virtual]`

| Reimplemented from TAO_Notify_Worker_Task.

void TAO_Notify_MT_Worker_Task::shutdown ( | CORBA::Environment & ACE_TRY_ENV )`[virtual]`

| Reimplemented from TAO_Notify_Worker_Task.

int TAO_Notify_MT_Worker_Task::svc ( | void )`[protected, virtual]`

| Reimplemented from ACE_Task_Base.

## Member Data Documentation

TAO_Notify_Buffering_Strategy * TAO_Notify_MT_Worker_Task::buffering_strategy_`[protected]`

long TAO_Notify_MT_Worker_Task::flags_`[protected]`

int TAO_Notify_MT_Worker_Task::force_active_`[protected]`

int TAO_Notify_MT_Worker_Task::n_threads_`[protected]`

long TAO_Notify_MT_Worker_Task::priority_`[protected]`

TAO_Notify_Property_Long * TAO_Notify_MT_Worker_Task::queue_length_`[protected]`

The documentation for this class was generated from the following files:

- Notify_MT_Worker_Task.h
- Notify_MT_Worker_Task.cpp